Package org.eclipse.compare.patch

# Class PatchParser

java.lang.Object
org.eclipse.compare.patch.PatchParser

public class PatchParser extends Object
Helper class for parsing patches.

Since:
  org.eclipse.compare.core 3.5

## Constructor Summary

Constructors
Constructor
Description
`PatchParser()`

## Method Summary

Modifier and Type
Method
Description
`static IFilePatch2[]`
`parsePatch(ReaderCreator content)`
Parse the given patch and return the set of file patches that it contains.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PatchParser

public PatchParser()

## Method Details

### parsePatch

public static IFilePatch2[] parsePatch(ReaderCreator content) throws CoreException
Parse the given patch and return the set of file patches that it contains.

Parameters:
  `content` - a patch reader creator
Returns:
  the set of file patches that the patch contains
Throws:
  `CoreException` - if an error occurs reading the contents